package de.ozgcloud.archive.bescheid;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.document.GrpcDocument;

public class GrpcDocumentTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String TYPE = LoremIpsum.getInstance().getWords(1);
	public static final String FILE_ID = BescheidTestFactory.BESCHEID_DOCUMENT;
	public static final String NACHRICHT_SUBJECT = LoremIpsum.getInstance().getParagraphs(1, 1);
	public static final String NACHRICHT_TEXT = LoremIpsum.getInstance().getParagraphs(1, 1);

	public static GrpcDocument create() {
		return createBuilder().build();
	}

	public static GrpcDocument.Builder createBuilder() {
		return GrpcDocument.newBuilder()
				.setId(ID)
				.setType(TYPE)
				.setFileId(FILE_ID)
				.setNachrichtSubject(NACHRICHT_SUBJECT)
				.setNachrichtText(NACHRICHT_TEXT);
	}
}
