package de.ozgcloud.archive.bescheid;

import de.ozgcloud.archive.vorgang.VorgangWithEingangTestFactory;
import de.ozgcloud.document.bescheid.GrpcGetAllBescheidRequest;

public class GrpcGetAllBescheidRequestTestFactory {

	public static final String VORGANG_ID = VorgangWithEingangTestFactory.ID;

	public static GrpcGetAllBescheidRequest create() {
		return createBuilder().build();
	}

	public static GrpcGetAllBescheidRequest.Builder createBuilder() {
		return GrpcGetAllBescheidRequest.newBuilder().setVorgangId(VORGANG_ID);
	}

}
