package de.ozgcloud.archive.historie;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class VorgangChangeTestFactory {

	public static final String VALUE_BEFORE_CHANGE = LoremIpsum.getInstance().getWords(1);
	public static final String VALUE_AFTER_CHANGE = LoremIpsum.getInstance().getWords(1);
	public static final String ORGANISATIONSEINHEITEN_ID = UUID.randomUUID().toString();
	public static final String CREATED_BY_NAME = LoremIpsum.getInstance().getName();
	public static final ZonedDateTime FINISHED_AT = ZonedDateTime.now();
	public static final String ORDER = LoremIpsum.getInstance().getWords(1);

	public static VorgangChange create() {
		return createBuilder().build();
	}

	public static VorgangChange.VorgangChangeBuilder createBuilder() {
		return VorgangChange.builder()
				.valueBeforeChange(VALUE_BEFORE_CHANGE)
				.valueAfterChange(VALUE_AFTER_CHANGE)
				.authorFullName(CREATED_BY_NAME)
				.finishedAt(FINISHED_AT)
				.order(ORDER)
				.organisationseinheitenID(ORGANISATIONSEINHEITEN_ID);
	}
}
