package de.ozgcloud.archive.kommentar;

import java.util.UUID;

import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcFindVorgangAttachedItemRequest;

class GrpcFindVorgangAttachedItemRequestTestFactory {

	public static final String VORGANG_ID = UUID.randomUUID().toString();
	public static final String ITEM_NAME = KommentarRemoteService.ITEM_NAME;

	public static GrpcFindVorgangAttachedItemRequest create() {
		return createBuilder().build();
	}

	public static GrpcFindVorgangAttachedItemRequest.Builder createBuilder() {
		return GrpcFindVorgangAttachedItemRequest.newBuilder()
				.setVorgangId(VORGANG_ID)
				.setItemName(ITEM_NAME);
	}
}
