package de.ozgcloud.archive.common.user;

import org.mapstruct.AnnotateWith;
import org.mapstruct.AnnotateWith.Element;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.user.OzgCloudUserProfile;
import de.ozgcloud.archive.ArchiveManagerConfiguration;

@Mapper
@AnnotateWith(value = Component.class, elements = @Element(strings = ArchiveManagerConfiguration.USER_PROFILE_MAPPER_NAME))
public interface UserProfileMapper {

	UserProfile fromOzgUserProfile(OzgCloudUserProfile userProfile);

}
