package de.ozgcloud.archive.kommentar;

import java.time.ZonedDateTime;
import java.util.List;

import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
public class Kommentar {
	private String id;
	private String text;
	private ZonedDateTime createdAt;
	private String createdBy;
	private List<FileId> attachments;
}
