package de.ozgcloud.archive.postfach;

import java.util.List;

import de.ozgcloud.archive.file.OzgFile;
import de.xoev.xdomea.DokumentType;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class PostfachMailExportData {

	@Singular
	private List<DokumentType> dokumentTypes;
	@Singular
	private List<OzgFile> attachments;

}
