package de.ozgcloud.archive.export;

import org.springframework.boot.autoconfigure.ImportAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import net.devh.boot.grpc.client.autoconfigure.GrpcClientAutoConfiguration;
import net.devh.boot.grpc.server.autoconfigure.GrpcServerAutoConfiguration;
import net.devh.boot.grpc.server.autoconfigure.GrpcServerFactoryAutoConfiguration;

@Configuration
@ImportAutoConfiguration({
		GrpcServerAutoConfiguration.class,
		GrpcServerFactoryAutoConfiguration.class,
		GrpcClientAutoConfiguration.class
})
@ComponentScan({ "de.ozgcloud.*" })
public class GrpcIntegrationTestConfiguration {

}