package de.ozgcloud.archive.vorgang;

import java.util.UUID;

public class ZustaendigeStelleTestFactory {
	public static final String ORGANISATIONSEINHEITEN_ID = UUID.randomUUID().toString();

	public static ZustaendigeStelle create() {
		return createBuilder().build();
	}

	public static ZustaendigeStelle.ZustaendigeStelleBuilder createBuilder() {
		return ZustaendigeStelle.builder().organisationseinheitenId(ORGANISATIONSEINHEITEN_ID);
	}
}
